## apt 3.0.0

=== CMakeLists.txt ===
# Copyright (C) 2009, 2016 Julian Andres Klode <jak@debian.org>.
# Licensed under the same terms as APT; i.e. GPL 2 or later.

# set minimum version
cmake_minimum_required(VERSION 3.13)
project(apt)
# Generic header locations
include_directories(${PROJECT_BINARY_DIR}/include)


enable_testing()

option(REQUIRE_MERGED_USR "Require merged-usr." ON)
option(WITH_DOC "Build all documentation." ON)
include(CMakeDependentOption)
cmake_dependent_option(WITH_DOC_MANPAGES "Force building manpages." OFF "NOT WITH_DOC" OFF)
cmake_dependent_option(WITH_DOC_GUIDES "Force building guides." OFF "NOT WITH_DOC" OFF)
cmake_dependent_option(WITH_DOC_DOXYGEN "Force building doxygen documentation." OFF "NOT WITH_DOC" OFF)
cmake_dependent_option(WITH_DOC_EXAMPLES "Force building example configurations." OFF "NOT WITH_DOC" OFF)
option(WITH_TESTS "Build tests" ON)
option(USE_NLS "Localisation support." ON)

set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/CMake")

# Add coverage target
set(CMAKE_CXX_FLAGS_COVERAGE "-g -fprofile-arcs -ftest-coverage")
set(CMAKE_EXE_LINKER_FLAGS_COVERAGE "-lgcov")
set(CMAKE_SHARED_LINKER_FLAGS_COVERAGE "-lgcov")

# Work around bug in GNUInstallDirs
if (EXISTS "/etc/debian_version")
  set(CMAKE_INSTALL_LIBEXECDIR "lib")
endif()

# Include stuff
include(Misc)
include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckStructHasMember)
include(GNUInstallDirs)
include(TestBigEndian)
find_package(Threads REQUIRED)
find_package(LFS REQUIRED)
find_package(Iconv REQUIRED)

find_package(Perl REQUIRED)

find_program(TRIEHASH_EXECUTABLE NAMES triehash)
find_program(SQV_EXECUTABLE NAMES sqv)

if (NOT TRIEHASH_EXECUTABLE)
  message(FATAL_ERROR "Could not find triehash executable")
endif()

if(USE_NLS)
  find_package(Intl REQUIRED)
  link_libraries(${Intl_LIBRARIES})
  include_directories(${Intl_INCLUDE_DIRS})
endif()

# Add large file support
add_compile_options(${LFS_COMPILE_OPTIONS})
add_definitions(${LFS_DEFINITIONS})
link_libraries(${LFS_LIBRARIES})

# Set compiler flags
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)

add_optional_compile_options(Wall)
add_optional_compile_options(Wextra)
add_optional_compile_options(Wcast-align)
add_optional_compile_options(Wlogical-op)
add_optional_compile_options(Wredundant-decls)
add_optional_compile_options(Wmissing-declarations)
add_optional_compile_options(Wunsafe-loop-optimizations)
add_optional_compile_options(Wctor-dtor-privacy)
add_optional_compile_options(Wdisabled-optimization)
add_optional_compile_options(Winit-self)
add_optional_compile_options(Wmissing-include-dirs)
add_optional_compile_options(Wnoexcept)
add_optional_compile_options(Wsign-promo)
add_optional_compile_options(Wundef)
add_optional_compile_options(Wdouble-promotion)
add_optional_compile_options(Wsuggest-override)
add_optional_compile_options(Werror=suggest-override)
add_optional_compile_options(Werror=return-type)
add_optional_compile_options(Wp,-D_GLIBCXX_ASSERTIONS)
# apt-ftparchive dependencies
find_package(Berkeley REQUIRED)
if (BERKELEY_FOUND)
  set(HAVE_BDB 1)
endif()

find_package(OpenSSL REQUIRED)

# (De)Compressor libraries
find_package(ZLIB REQUIRED)
if (ZLIB_FOUND)
  set(HAVE_ZLIB 1)
endif()


find_package(BZip2 REQUIRED)
if (BZIP2_FOUND)
  set(HAVE_BZ2 1)
endif()

find_package(LZMA REQUIRED)
if (LZMA_FOUND)
  set(HAVE_LZMA 1)
endif()


find_package(LZ4 REQUIRED)
if (LZ4_FOUND)
  set(HAVE_LZ4 1)
endif()

find_package(ZSTD)
if (ZSTD_FOUND)
  set(HAVE_ZSTD 1)
endif()


find_package(Udev)
if (UDEV_FOUND)
  set(HAVE_UDEV 1)
endif()

find_package(Systemd)
if (SYSTEMD_FOUND)
  set(HAVE_SYSTEMD 1)
endif()

find_package(SECCOMP)
if (SECCOMP_FOUND)
  set(HAVE_SECCOMP 1)
endif()

find_package(XXHASH REQUIRED)

# Mount()ing and stat()ing and friends
check_symbol_exists(statfs sys/vfs.h HAVE_VFS_H)
check_include_files(sys/params.h HAVE_PARAMS_H)
check_symbol_exists(statfs sys/mount.h HAVE_MOUNT_H)
if (NOT HAVE_VFS_H AND NOT HAVE_MOUNT_H)
  message(FATAL_ERROR "Can find neither statvfs() nor statfs()")
endif()

check_function_exists(statvfs HAVE_STATVFS)
if (NOT HAVE_STATVFS)
  configure_file(CMake/statvfs.h.in ${PROJECT_BINARY_DIR}/include/sys/statvfs.h COPYONLY)
endif()

CHECK_STRUCT_HAS_MEMBER("struct statfs" f_type sys/vfs.h HAVE_STRUCT_STATFS_F_TYPE)

# Other checks
check_function_exists(getresuid HAVE_GETRESUID)
check_function_exists(getresgid HAVE_GETRESGID)
check_function_exists(setresuid HAVE_SETRESUID)
check_function_exists(setresgid HAVE_SETRESGID)
check_function_exists(ptsname_r HAVE_PTSNAME_R)
check_function_exists(timegm HAVE_TIMEGM)
test_big_endian(WORDS_BIGENDIAN)

# FreeBSD
add_definitions(-D_WITH_GETLINE=1)

CHECK_INCLUDE_FILES(machine/endian.h HAVE_MACHINE_ENDIAN_H)
CHECK_INCLUDE_FILES(sys/endian.h HAVE_SYS_ENDIAN_H)
CHECK_INCLUDE_FILES(endian.h HAVE_ENDIAN_H)
if (NOT HAVE_ENDIAN_H)
  if (HAVE_MACHINE_ENDIAN_H OR HAVE_SYS_ENDIAN_H)
    configure_file(CMake/endian.h.in ${PROJECT_BINARY_DIR}/include/endian.h)
  else()
    message(FATAL_ERROR "Cannot find endian.h")
  endif()
endif()


include(CheckTypeSize)
set(CMAKE_EXTRA_INCLUDE_FILES "signal.h")
check_type_size("sig_t" SIG_T LANGUAGE "CXX")
check_type_size("sighandler_t" SIGHANDLER_T LANGUAGE "CXX")
set(CMAKE_EXTRA_INCLUDE_FILES)
if (NOT HAVE_SIGHANDLER_T)
  if (HAVE_SIG_T)
    add_definitions(-Dsighandler_t=sig_t)
  else()
    message(FATAL_ERROR "Platform defines neither sig_t nor sighandler_t")
  endif()
endif()

# Handle resolving
check_function_exists(res_ninit HAVE_LIBC_RESOLV)
if(HAVE_LIBC_RESOLV)
    set(RESOLV_LIBRARIES)
else()
    set(RESOLV_LIBRARIES -lresolv)
endif()

# Configure some variables like package, version and architecture.
set(PACKAGE ${PROJECT_NAME})
set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
set(PACKAGE_VERSION "3.0.0")
string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})

if (NOT DEFINED DPKG_DATADIR)
  execute_process(COMMAND ${PERL_EXECUTABLE} -MDpkg -e "print $Dpkg::DATADIR;"
                  OUTPUT_VARIABLE DPKG_DATADIR_CMD OUTPUT_STRIP_TRAILING_WHITESPACE
                  COMMAND_ERROR_IS_FATAL ANY)
  message(STATUS "Found dpkg data dir: ${DPKG_DATADIR_CMD}")
  set(DPKG_DATADIR "${DPKG_DATADIR_CMD}" CACHE PATH "dpkg data directory")
endif()
if (NOT DEFINED COMMON_ARCH)
  execute_process(COMMAND dpkg-architecture -qDEB_HOST_ARCH
                  OUTPUT_VARIABLE COMMON_ARCH OUTPUT_STRIP_TRAILING_WHITESPACE
                  COMMAND_ERROR_IS_FATAL ANY)
endif()
if (NOT DEFINED ROOT_GROUP)
  execute_process(COMMAND id -gn root
                  OUTPUT_VARIABLE ROOT_GROUP OUTPUT_STRIP_TRAILING_WHITESPACE
                  COMMAND_ERROR_IS_FATAL ANY)
  message(STATUS "Found root group: ${ROOT_GROUP}")
endif()
set(ROOT_GROUP "${ROOT_GROUP}" CACHE STRING "Group of root (e.g.: wheel or root)")

# Set various directories
set(STATE_DIR "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/lib/apt" CACHE PATH "Your /var/lib/apt")
set(CACHE_DIR "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/cache/apt" CACHE PATH "Your /var/cache/apt")
set(LOG_DIR "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/log/apt" CACHE PATH "Your /var/log/apt")
set(CONF_DIR "${CMAKE_INSTALL_FULL_SYSCONFDIR}/apt" CACHE PATH "Your /etc/apt")
set(LIBEXEC_DIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/apt" CACHE PATH "Your /usr/libexec/apt")
set(BIN_DIR "${CMAKE_INSTALL_FULL_BINDIR}")

# Setup the default pager and the environment
set(DEFAULT_PAGER "pager" CACHE STRING "The default pager to use for commands that support it.")
set(PAGER_ENV "LESS=FRSXMK\\nMORE=FRX\\nLV=-c" CACHE STRING "Environment to pass to the pager. One variable per line, with escaped newlines")

# Configure our configuration headers (config.h and apti18n.h)
configure_file(CMake/config.h.in ${PROJECT_BINARY_DIR}/include/config.h)
configure_file(CMake/apti18n.h.in ${PROJECT_BINARY_DIR}/include/apti18n.h)

# Add our subdirectories
add_subdirectory(vendor)
if (NOT USE_SYSTEM_APTPKG)
add_subdirectory(apt-pkg)
add_subdirectory(apt-private)
endif()
add_subdirectory(cmdline)
add_subdirectory(completions)
add_subdirectory(doc)
add_subdirectory(dselect)
add_subdirectory(ftparchive)
add_subdirectory(methods)
add_subdirectory(test)

if (USE_NLS)
add_subdirectory(po)
endif()

if(TARGET update-po AND TARGET update-po4a)
# Link update-po4a into the update-po target
add_dependencies(update-po update-po4a)
endif()

# Create our directories.
install_empty_directories(
  ${CONF_DIR}/apt.conf.d
  ${CONF_DIR}/auth.conf.d
  ${CONF_DIR}/preferences.d
  ${CONF_DIR}/sources.list.d
  ${CONF_DIR}/trusted.gpg.d
  ${CACHE_DIR}/archives/partial
  ${STATE_DIR}/lists/partial
  ${STATE_DIR}/mirrors/partial
  ${STATE_DIR}/periodic
  ${LOG_DIR}
)

=== debian/changelog ===
apt (3.0.0) unstable; urgency=medium

  [ Julian Andres Klode ]
  * And so it begins: Bump the version to 3.0 to mark the start
    of a stable series, dedicated to Steve Langasek.
  * symbols: Update to 2.9.35
  * solver3: Consider more upgrades more costly when not upgrading
    (LP: #2105395)

  [ Frans Spiesschaert ]
  * Dutch manpages translation update (Closes: #1100801)
  * Dutch program translation update (Closes: #1100807)

  [ Rafael Fontenelle ]
  * Brazilian Portuguese program translation update (Closes: #1100964)

  [ Remus-Gabriel Chelu ]
  * Romanian program translation update (Closes: #1101535)

  [ Carles Pina i Estany ]
  * Catalan program translation update

  [ Helge Kreutzmann ]
  * German program translation update (Closes: #1100550)

  [ bubub ]
  * French program translation update (Closes: #1100708)

 -- Julian Andres Klode <jak@debian.org>  Fri, 04 Apr 2025 22:32:19 +0200

=== debian/control ===
Source: apt
Section: admin
Priority: required
Maintainer: APT Development Team <deity@lists.debian.org>
Uploaders: Michael Vogt <mvo@debian.org>,
           Julian Andres Klode <jak@debian.org>,
           David Kalnischkies <donkult@debian.org>
Rules-Requires-Root: no
Standards-Version: 4.1.1
Build-Depends: dpkg-dev (>= 1.22.5) <!pkg.apt.ci>,
               cmake (>= 3.4),
               debhelper-compat (= 12),
               docbook-xml <!nodoc>,
               docbook-xsl <!nodoc>,
               dpkg-dev (>= 1.20.8),
               gettext (>= 0.12),
               googletest <!nocheck> | libgtest-dev <!nocheck>,
               libbz2-dev,
               libdb-dev,
               libssl-dev,
               liblz4-dev (>= 0.0~r126),
               liblzma-dev,
               libseccomp-dev (>= 2.4.2) [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x hppa powerpc powerpcspe ppc64 x32],
               libsystemd-dev [linux-any],
               libudev-dev [linux-any],
               libxxhash-dev (>= 0.8),
               libzstd-dev (>= 1.0),
               ninja-build,
               pkg-config,
               po4a (>= 0.34-2) <!nodoc>,
               sqv [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hurd-amd64 hurd-i386 loong64 powerpc ppc64 sparc64] <!pkg.apt.nosqv> | gpgv,
               triehash,
               xsltproc <!nodoc>,
               zlib1g-dev
Build-Depends-Indep: doxygen <!nodoc !pkg.apt.nodoxygen>, graphviz <!nodoc !pkg.apt.nodoxygen>, w3m <!nodoc>
Vcs-Git: https://salsa.debian.org/apt-team/apt.git
Vcs-Browser: https://salsa.debian.org/apt-team/apt

Package: apt
Architecture: any
Depends: base-passwd (>= 3.6.1) | adduser,
         ${openpgp:Depends},
         libapt-pkg7.0 (>= ${binary:Version}),
         ${apt:keyring},
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: apt-transport-https (<< 1.5~alpha4~), apt-utils (<< 1.3~exp2~)
Breaks: apt-transport-https (<< 1.5~alpha4~),
        apt-utils (<< 1.3~exp2~),
        aptitude (<< 0.8.10)
Conflicts: apt-verify, libnettle8 (<< 3.9.1-2.2~)
Provides: apt-transport-https (= ${binary:Version})
Recommends: ca-certificates
Suggests: apt-doc,
          aptitude | synaptic | wajig,
          dpkg-dev (>= 1.17.2),
          gnupg | gnupg2 | gnupg1,
          powermgmt-base
Description: commandline package manager
 This package provides commandline tools for searching and
 managing as well as querying information about packages
 as a low-level access to all features of the libapt-pkg library.
 .
 These include:
  * apt-get for retrieval of packages and information about them
    from authenticated sources and for installation, upgrade and
    removal of packages together with their dependencies
  * apt-cache for querying available information about installed
    as well as installable packages
  * apt-cdrom to use removable media as a source for packages
  * apt-config as an interface to the configuration settings
  * apt-extracttemplates is used by debconf to prompt for configuration
    questions before installation.

Package: libapt-pkg7.0
Architecture: any
Multi-Arch: same
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: appstream (<< 0.9.0-3~), apt (<< 1.6~), aptitude (<< 0.8.9), libapt-inst1.5 (<< 0.9.9~), dpkg (<< 1.20.8)
Recommends: apt (>= ${binary:Version})
Conflicts: libnettle8 (<< 3.9.1-2.2~)
Section: libs
Provides: ${t64:Provides}, libapt-pkg (= ${binary:Version})
Description: package management runtime library
 This library provides the common functionality for searching and
 managing packages as well as information about packages.
 Higher-level package managers can depend upon this library.
 .
 This includes:
  * retrieval of information about packages from multiple sources
  * retrieval of packages and all dependent packages
    needed to satisfy a request either through an internal
    solver or by interfacing with an external one
  * authenticating the sources and validating the retrieved data
  * installation and removal of packages in the system
  * providing different transports to retrieve data over cdrom and
    http(s) as well as an interface to add more transports like
    tor+http(s) (apt-transport-tor).

Package: apt-doc
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Section: doc
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Description: documentation for APT
 This package contains the user guide and offline guide for various
 APT tools which are provided in a html and a text-only version.

Package: libapt-pkg-dev
Architecture: any
Multi-Arch: same
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: libapt-pkg (= ${binary:Version}),
         ${misc:Depends}
Section: libdevel
Description: development files for APT's libapt-pkg and libapt-inst
 This package contains the header files and libraries for
 developing with APT's libapt-pkg Debian package manipulation
 library and the libapt-inst deb/tar/ar library.

Package: libapt-pkg-doc
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Section: doc
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Description: documentation for APT development
 This package contains documentation for development of the APT
 Debian package manipulation program and its libraries.
 .
 This includes the source code documentation generated by doxygen
 in html format.

Package: apt-utils
Architecture: any
Depends: apt (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: package management related utility programs
 This package contains some less used commandline utilities related
 to package management with APT.
 .
  * apt-ftparchive is used to create Packages and other index files
    needed to publish an archive of Debian packages
  * apt-sortpkgs is a Packages/Sources file normalizer.

Package: apt-transport-https
Architecture: all
Multi-Arch: foreign
Depends: apt (>= 1.5~alpha4), ${misc:Depends}
Priority: optional
Section: oldlibs
Description: transitional package for https support
 This is a dummy transitional package - https support has been moved into
 the apt package in 1.5. It can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright (C) 2009, 2016 Julian Andres Klode <jak@debian.org>
#
# Free Software, licensed under the GPL-2 or (at your option) any later version.
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS := hardening=+all

# do not fail as we are just experimenting with symbol files for now
export DPKG_GENSYMBOLS_CHECK_LEVEL=0

export CTEST_OUTPUT_ON_FAILURE=1


ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	configure_test_flags = -DWITH_TESTS=OFF
else
	configure_test_flags =
endif

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_clean:
	cp COPYING debian/copyright
	dh_clean

override_dh_install-arch:
	dh_install -papt-utils -X/dump
	dh_install -papt -Xmethods/curl -Xmethods/curl+https -Xmethods/curl+http
	dh_install --remaining
	install -m 644 debian/apt.conf.autoremove debian/apt/etc/apt/apt.conf.d/01autoremove

override_dh_gencontrol:
	dh_gencontrol -- -Vapt:keyring="$(shell ./vendor/getinfo keyring-package)" -Vopenpgp:Depends=$(shell test -e /usr/bin/sqv && echo sqv || echo gpgv)

override_dh_installcron:
	dh_installcron --name=apt-compat

override_dh_installsystemd:
	# Do not restart "apt-daily.service" because this script runs
	# unattended-upgrades. So if apt itself is upgraded as part of
	# an unattended-upgrades run it would kill itself
	dh_installsystemd -papt apt-daily.timer apt-daily-upgrade.timer
	dh_installsystemd -papt --no-restart-on-upgrade --no-restart-after-upgrade --no-start apt-daily.service apt-daily-upgrade.service
	dh_installsystemd --remaining-packages

ifneq ($(filter pkg.apt.nodoxygen,$(DEB_BUILD_PROFILES)),)
override_dh_auto_configure-arch: configure_doc_flags=-DWITH_DOC=OFF -DWITH_DOC_MANPAGES=ON -DWITH_DOC_EXAMPLES=ON
override_dh_auto_configure-indep: configure_doc_flags=-DWITH_DOC=OFF -DWITH_DOC_GUIDES=ON -DWITH_DOC_EXAMPLES=ON
else
ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
override_dh_auto_configure-arch: configure_doc_flags=-DWITH_DOC=OFF
override_dh_auto_configure-indep: configure_doc_flags=-DWITH_DOC=OFF
else
override_dh_auto_configure-arch: configure_doc_flags=-DWITH_DOC=OFF -DWITH_DOC_MANPAGES=ON -DWITH_DOC_EXAMPLES=ON
override_dh_auto_configure-indep: configure_doc_flags=-DWITH_DOC=ON
endif
endif

override_dh_auto_configure-arch override_dh_auto_configure-indep:
	dh_auto_configure -- -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON $(configure_doc_flags) $(configure_test_flags)

## apt 3.0.0nosystemd1

=== debian/changelog ===
apt (3.0.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Sat, 05 Apr 2025 13:20:07 +0300

## apt 3.0.1

=== debian/changelog ===
apt (3.0.1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * Remove boggus option in French manpage translation

  [ Julian Andres Klode ]
  * Update Sequoia crypto policy.
    Move our cut-offs to February to align with Sequoia, and cut-off more:
    - 2024-02: DSA keys retroactively (align with GnuPG config)
    - 2026-02: SHA224 hashes
    - 2028-02: Brainpool keys (align closer with GnuPG backend)
    - 2030-02: RSA2048 keys
    These algorithms will not be valid starting on those cut-off dates.
  * sqv: Refactor execution of sqv into separate method
  * sqv: Warn about signatures that will be rejected by policy within a year

 -- Julian Andres Klode <jak@debian.org>  Fri, 25 Apr 2025 23:08:27 +0200

## apt 3.0.1.0nosystemd1

=== CMakeLists.txt ===
--- 
+++ 
@@ -204,7 +204,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "3.0.0")
+set(PACKAGE_VERSION "3.0.1")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (3.0.1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Sat, 26 Apr 2025 20:47:13 +0300

## apt 3.0.2

=== debian/changelog ===
apt (3.0.2) unstable; urgency=medium

  * debian/NEWS: Document new requirements on trusted.gpg.d (Closes: #1104320)
  * test: Fix test-skipped regression in 3.0.1
  * test: Do not use host's sequoia config
  * Pass --check to msgfmt and fix broken format strings
  * Downgrade "modernize-sources" notice to audit

 -- Julian Andres Klode <jak@debian.org>  Sun, 25 May 2025 10:39:53 +0200

## apt 3.0.2devuan1

=== CMakeLists.txt ===
--- 
+++ 
@@ -204,7 +204,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "3.0.1")
+set(PACKAGE_VERSION "3.0.2devuan1")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (3.0.2devuan1) unstable; urgency=medium

  * Merge apt Debian release 3.0.2

 -- Andreas Messer <andi@bastelmap.de>  Tue, 17 Jun 2025 21:24:36 +0200

apt (3.0.1devuan1) unstable; urgency=medium

  * Merge apt Debian release 3.0.1

 -- Andreas Messer <andi@bastelmap.de>  Sat, 31 May 2025 12:16:32 +0200

apt (3.0.0devuan1) unstable; urgency=medium

  * Merge apt Debian release 3.0.0

 -- Andreas Messer <andi@bastelmap.de>  Mon, 21 Apr 2025 19:37:00 +0200

## apt 3.0.2+kali1

=== debian/changelog ===
apt (3.0.2+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    + Don't modernize sources.list yet

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 10 Jun 2025 15:16:37 +0200

apt (3.0.1+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    + Don't modernize sources.list yet

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 13 May 2025 13:58:34 +0200

apt (3.0.0+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    + Don't modernize sources.list yet

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 25 Apr 2025 15:17:30 +0200

apt (2.9.35+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    + Don't modernize sources.list yet

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 08 Apr 2025 10:15:13 +0200

apt (2.9.33+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    + Don't modernize sources.list yet

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 20 Mar 2025 14:11:33 +0100

apt (2.9.29+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    + Don't modernize sources.list yet

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 19 Feb 2025 17:42:48 +0100

apt (2.9.28+kali2) kali-dev; urgency=medium

  * test: Fix skipping test cases
  * Skip some integration tests

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 12 Feb 2025 21:21:41 +0700

apt (2.9.28+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    + Don't modernize sources.list yet

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 11 Feb 2025 11:05:22 +0700

apt (2.9.27+kali1) kali-dev; urgency=medium

  * Drop the diff regarding non-free-firmware transition
  * Sync with Debian
  * Don't modernize sources.list yet

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 11 Feb 2025 11:02:24 +0700

apt (2.9.10+kali1) kali-dev; urgency=medium

  * Non-maintainer upload.
  * 

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 30 Oct 2024 14:28:47 +0100

apt (2.9.8+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    + Adjust non-free-firmware warning message for Kali

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 03 Sep 2024 16:21:03 +0200

apt (2.9.7+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    + Adjust non-free-firmware warning message for Kali

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 15 Aug 2024 14:55:41 +0700

apt (2.9.5+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    + Adjust non-free-firmware warning message for Kali

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 20 Jun 2024 11:18:00 +0700

apt (2.9.4+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    + Adjust non-free-firmware warning message for Kali

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 04 Jun 2024 08:24:27 +0700

apt (2.9.2+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    + Adjust non-free-firmware warning message for Kali

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 29 Apr 2024 15:06:19 +0700

apt (2.7.12+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    + Adjust non-free-firmware warning message for Kali

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 26 Feb 2024 14:43:20 +0700

apt (2.7.11+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    + Adjust non-free-firmware warning message for Kali

 -- Arnaud Rebillout <arnaudr@kali.org>  Sun, 25 Feb 2024 12:01:00 +0700

apt (2.7.10+kali1) kali-dev; urgency=medium

  * Update Maintainer field
  * Update Vcs-* fields
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Adjust non-free-firmware warning message for Kali

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 23 Jan 2024 09:19:40 +0700

## apt 3.0.2.0nosystemd1

=== CMakeLists.txt ===
--- 
+++ 
@@ -204,7 +204,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "3.0.2devuan1")
+set(PACKAGE_VERSION "3.0.2")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (3.0.2.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Sun, 25 May 2025 21:14:23 +0300

apt (0.8.16~exp7) experim

## apt 3.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -204,7 +204,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "3.0.2")
+set(PACKAGE_VERSION "3.0.3")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (3.0.3-0progress8u1) horok; urgency=medium

  * Initial upload to horok.
  * Updating maintainer field.
  * Updating uploaders field.
  * Updating bugs field.
  * Updating vcs fields.
  * Updating source format.
  * Using apt binary specific configuration for apt-get.
  * Including apt configuration files for Progress Linux.
  * Setting APT::Cmd::Disable-Script-Warning to true.
  * Setting APT::Install-Recommends to false.
  * Setting Acquire::PDiffs to false.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 30 Jun 2025 17:53:44 +0200

apt (3.0.3) unstable; urgency=medium

  [ Américo Monteiro ]
  * Portuguese manpages translation update (Closes: #1103640)

  [ bubub ]
  * French manpages translation update (Closes: #1103760)

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #1104312)
  * Dutch manpages translation update (Closes: #1104313)

  [ Julian Andres Klode ]
  * German translation update (Closes: #1106116)
  * Fix stuck acquire queues on partial server errors (LP: #2003851)
  * tls: Do not trigger assertion after closing connection (Closes: #1107827)

  [ Miroslav Kure ]
  * Czech program translation update (Closes: #1106155)

 -- Julian Andres Klode <jak@debian.org>  Tue, 24 Jun 2025 19:02:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
 Source: apt
 Section: admin
 Priority: required
-Maintainer: APT Development Team <deity@lists.debian.org>
-Uploaders: Michael Vogt <mvo@debian.org>,
+Maintainer: Progress Linux Maintainers <maintainers@lists.progress-linux.org>
+XSBC-Uploaders: Daniel Baumann <daniel.baumann@progress-linux.org>
+XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
+XSBC-Original-Uploaders: Michael Vogt <mvo@debian.org>,
            Julian Andres Klode <jak@debian.org>,
            David Kalnischkies <donkult@debian.org>
+Bugs: mailto:maintainers@lists.progress-linux.org
 Rules-Requires-Root: no
 Standards-Version: 4.1.1
 Build-Depends: dpkg-dev (>= 1.22.5) <!pkg.apt.ci>,
@@ -28,13 +31,15 @@
                ninja-build,
                pkg-config,
                po4a (>= 0.34-2) <!nodoc>,
-               sqv [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hurd-amd64 hurd-i386 loong64 powerpc ppc64 sparc64] <!pkg.apt.nosqv> | gpgv,
+               sqv (>= 1.3.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hurd-amd64 hurd-i386 loong64 powerpc ppc64 sparc64] <!pkg.apt.nosqv> | gpgv,
                triehash,
                xsltproc <!nodoc>,
                zlib1g-dev
 Build-Depends-Indep: doxygen <!nodoc !pkg.apt.nodoxygen>, graphviz <!nodoc !pkg.apt.nodoxygen>, w3m <!nodoc>
-Vcs-Git: https://salsa.debian.org/apt-team/apt.git
-Vcs-Browser: https://salsa.debian.org/apt-team/apt
+Vcs-Browser: https://git.progress-linux.org/horok/apt
+Vcs-Git: https://git.progress-linux.org/horok/apt
+XSBC-Original-Vcs-Browser: https://salsa.debian.org/apt-team/apt
+XSBC-Original-Vcs-Git: https://salsa.debian.org/apt-team/apt.git
 
 Package: apt
 Architecture: any

## apt 3.0.3devuan1

=== CMakeLists.txt ===
--- 
+++ 
@@ -204,7 +204,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "3.0.3")
+set(PACKAGE_VERSION "3.0.3devuan1")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (3.0.3devuan1) unstable; urgency=medium

  * Merge apt Debian release 3.0.3

 -- Andreas Messer <andi@bastelmap.de>  Sun, 20 Jul 2025 13:51:25 +0200

## apt 3.0.3trisquel5

=== vendor/CMakeLists.txt ===
# Determine the current vendor, export to CURRENT_VENDOR
if (NOT DEFINED CURRENT_VENDOR)
    execute_process(COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/getinfo current
                    OUTPUT_VARIABLE CURRENT_VENDOR_OUT OUTPUT_STRIP_TRAILING_WHITESPACE
                    COMMAND_ERROR_IS_FATAL ANY)

    set(CURRENT_VENDOR "${CURRENT_VENDOR_OUT}" CACHE STRING "Select the system vendor")
    message(STATUS "Detected vendor: ${CURRENT_VENDOR_OUT}")
else()
    message(STATUS "Detected vendor: ${CURRENT_VENDOR} (cached)")
endif()

# Handle sources.list example
if (WITH_DOC OR WITH_DOC_EXAMPLES)
if (EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${CURRENT_VENDOR}/${CURRENT_VENDOR}.sources.in")
    set(sources_in "${CURRENT_VENDOR}/${CURRENT_VENDOR}.sources.in")
    set(sources_out "${CURRENT_VENDOR}.sources")
else()
    set(sources_in "${CURRENT_VENDOR}/sources.list.in")
    set(sources_out "sources.list")
endif()
add_vendor_file(OUTPUT ${sources_out}
                INPUT "${sources_in}"
                MODE 644
                VARIABLES sourceslist-list-format
                          debian-stable-codename
                          debian-oldstable-codename
                          debian-testing-codename
                          trisquel-codename
                          current-codename)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${sources_out}
        DESTINATION ${CMAKE_INSTALL_DOCDIR}/examples)
endif()

# Handle apt.conf snippets
file(GLOB conffiles ${CURRENT_VENDOR}/apt.conf-*)
foreach(file ${conffiles})
    file(RELATIVE_PATH confname ${CMAKE_CURRENT_SOURCE_DIR}/${CURRENT_VENDOR}/ ${file})
    string(REPLACE "apt.conf-" "" confname "${confname}")
    install(FILES "${file}"
            DESTINATION "${CMAKE_INSTALL_SYSCONFDIR}/apt/apt.conf.d/"
            RENAME "${confname}")
endforeach()

if (EXISTS "${CURRENT_VENDOR}/CMakeLists.txt")
    add_subdirectory(${CURRENT_VENDOR})
endif()

=== debian/changelog ===
apt (3.0.3trisquel5) ecne; urgency=medium

  * Ubuntu keyring replaced with Trisquel's

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 02 Oct 2025 07:01:23 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,10 @@
 Source: apt
 Section: admin
 Priority: required
-Maintainer: Progress Linux Maintainers <maintainers@lists.progress-linux.org>
-XSBC-Uploaders: Daniel Baumann <daniel.baumann@progress-linux.org>
-XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
-XSBC-Original-Uploaders: Michael Vogt <mvo@debian.org>,
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Uploaders: Michael Vogt <mvo@debian.org>,
            Julian Andres Klode <jak@debian.org>,
            David Kalnischkies <donkult@debian.org>
-Bugs: mailto:maintainers@lists.progress-linux.org
 Rules-Requires-Root: no
 Standards-Version: 4.1.1
 Build-Depends: dpkg-dev (>= 1.22.5) <!pkg.apt.ci>,
@@ -36,10 +33,8 @@
                xsltproc <!nodoc>,
                zlib1g-dev
 Build-Depends-Indep: doxygen <!nodoc !pkg.apt.nodoxygen>, graphviz <!nodoc !pkg.apt.nodoxygen>, w3m <!nodoc>
-Vcs-Browser: https://git.progress-linux.org/horok/apt
-Vcs-Git: https://git.progress-linux.org/horok/apt
-XSBC-Original-Vcs-Browser: https://salsa.debian.org/apt-team/apt
-XSBC-Original-Vcs-Git: https://salsa.debian.org/apt-team/apt.git
+Vcs-Git: https://salsa.debian.org/apt-team/apt.git
+Vcs-Browser: https://salsa.debian.org/apt-team/apt
 
 Package: apt
 Architecture: any

## apt 3.0.3+kali1

=== debian/changelog ===
apt (3.0.3+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    + Don't modernize sources.list yet

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 30 Jun 2025 09:41:46 +0700

## apt 3.0.3.0nosystemd1

=== debian/changelog ===
apt (3.0.3.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Wed, 25 Jun 2025 17:39:42 +0300

## apt 3.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -64,7 +64,7 @@
 link_libraries(${LFS_LIBRARIES})
 
 # Set compiler flags
-set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD 23)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)
 
@@ -204,7 +204,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "3.0.3devuan1")
+set(PACKAGE_VERSION "3.1.3")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (3.1.3) experimental; urgency=medium

  [ Biswapriyo Nath ]
  * Include standard headers to fix clang compiler error

  [ Julian Andres Klode ]
  * Fix stuck acquire queues on partial server errors (LP: #2003851)
  * tls: Do not trigger assertion after closing connection (Closes: #1107827)
  * German translation update (Closes: #1106116)

  [ Américo Monteiro ]
  * Portuguese manpages translation update (Closes: #1103640)

  [ bubub ]
  * French manpages translation update (Closes: #1103760)

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #1104312)
  * Dutch manpages translation update (Closes: #1104313)

  [ Miroslav Kure ]
  * Czech program translation update (Closes: #1106155)

 -- Julian Andres Klode <jak@debian.org>  Tue, 24 Jun 2025 19:31:28 +0200

apt (3.1.2) experimental; urgency=medium

  * solver3: Avoid FTBFS with g++ 14.2 on arm{el,hf}

 -- Julian Andres Klode <jak@debian.org>  Tue, 10 Jun 2025 21:16:14 +0200

apt (3.1.1) experimental; urgency=medium

  * Bump CMAKE_CXX_STANDARD to 23 and fix code
  * solver3: Assume manual packages. This orders all the manually
    installed packages by preference (as we do for providers),
    and ensures that we will not remove manual packages if we
    do not need to.
  * solver3: Merge intersecting dependencies (LP: #2111792)
    When seeing dependencies on the same package, such as
        Depends: a (>= 1), a (<< 2)
    merge them into a single depends so that both of them
    are satisfied by the same package, rather than say
        Package: a-0, Provides: a (= 0) - satisfies a (<< 2)
        Package: a-2, Provides: a (= 1) - satisfies a (>= 1)
  * solver3: Ignore Architecture: all for obsoleted-by.
    This avoids a problem in unstable/proposed setups where binaries
    are not published together for all architectures, and foo:native
    could be considered obsolete because of a newer bar:all.
  * solver3: Filter installed Recommends
    A currently satisfied Recommends is filtered to the same packages
    it is currently satisfied by, ensuring that say, removing a will
    not install a `b` to keep a Recommends: a | b satisfied.
  * solver3: Minor refactorings
    - Remove Work::choice
    - solver3: Allow CompareProviders3 with empty package
  * solver3: Minor bug fixes
    - Handle failed assumption in Pop()
    - If no choice was made nothing to invert
      (avoid trying to "undo" the root assignment)
    - Initialize startTime if not set in Pop()
    - solver3: Explicitly declare and define ~Solver
  * Avoid cast alignment warning in cache string view

 -- Julian Andres Klode <jak@debian.org>  Tue, 10 Jun 2025 17:39:38 +0200

apt (3.1.0) experimental; urgency=medium

  [ Julian Andres Klode ]
  * debian/NEWS: Document new requirements on trusted.gpg.d (Closes: #1104320)
  * test: Fix test-skipped regression in 3.0.1
  * test: Do not use host's sequoia config
  * Pass --check to msgfmt and fix broken format strings
  * Add 'Include'/'Exclude' options to limit packages used from a repository
    'Include' allows limiting a repository to a allowlist of packages,
    'Exclude' allows removing packages from a repository.
  * Introduce apt why, apt why-not
  * Update translation templates and merge translations
  * Ubuntu: Enable 3.0 solver by default in apt CLI tools

  [ Herman Semenov ]
  * apt-pkg: fixed type comparison in 64bit systems using memsize cast

  [ Walter Lozano ]
  * Fix error handling with getline

  [ Guillem Jover ]
  * dselect: Add https support
  * dselect: Pass available file from stdin to dpkg --update-avail
  * dselect: Refactor bold printing into its own function
  * dselect: Use strict and warnings pragmas
  * dselect: Use Term::ANSIColor instead of forking setterm
  * dselect: Use qw() instead of lists of quoted strings
  * dselect: Replaces obsolete file comment header with copyright and SPDX marker

  [ Simon McVittie ]
  * apt_preferences(5): Specify the order in which files are parsed
  * sources.list(5): Explicitly say what the precedence order is

  [ Max Coplan ]
  * 💬 Recommend use of `apt update` over `apt-get update`

  [ David Kalnischkies ]
  * Include everything in our pkg-config autopkgtest

  [ Demi M. Obenour ]
  * Fail on stdio errors

 -- Julian Andres Klode <jak@debian.org>  Mon, 19 May 2025 19:13:54 +0200

## apt 3.1.4

=== debian/changelog ===
apt (3.1.4) unstable; urgency=medium

  * Upload to unstable 

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 11 Aug 2025 17:27:45 +0200

## apt 3.1.4ubuntu1

=== CMakeLists.txt ===
--- 
+++ 
@@ -204,7 +204,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "3.1.3")
+set(PACKAGE_VERSION "3.1.4ubuntu1")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (3.1.4ubuntu1) questing; urgency=medium

  * Implement support for architecture variants

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 11 Aug 2025 17:31:55 +0200

## apt 3.1.4+kali1

=== CMakeLists.txt ===
--- 
+++ 
@@ -204,7 +204,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "3.1.4ubuntu1")
+set(PACKAGE_VERSION "3.1.4")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== ftparchive/CMakeLists.txt ===
include_directories(${BERKELEY_INCLUDE_DIRS})
# Definition of the C++ files used to build the program - note that this
# is expanded at CMake time, so you have to rerun cmake if you add or remove
# a file (you can just run cmake . in the build directory)
file(GLOB_RECURSE source "*.cc")
add_executable(apt-ftparchive ${source})

# Link the executables against the libraries
target_include_directories(apt-ftparchive PRIVATE ${BERKELEY_INCLUDE_DIRS})
target_link_libraries(apt-ftparchive apt-pkg apt-private ${BERKELEY_LIBRARIES})

# Install the executables
install(TARGETS apt-ftparchive RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

=== debian/changelog ===
apt (3.1.4+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    + Don't modernize sources.list yet

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 18 Aug 2025 08:33:24 +0700

## apt 3.1.4.0nosystemd1

=== debian/changelog ===
apt (3.1.4.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Wed, 13 Aug 2025 18:06:10 +0300

## apt 3.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -204,7 +204,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "3.1.4")
+set(PACKAGE_VERSION "3.1.5")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (3.1.5) unstable; urgency=medium

  [ Christopher Bock ]
  * completion: apt why/why-not

  [ Julian Andres Klode ]
  * doc: Remove <filename> inside <arg>
  * solver3: Sort dependency targets against current alternative
  * solver3: Allow any downloadable version to mark a package as not obsolete
  * debListParser: Cache `essential` and `myArch` more
  * edsp: Clear architecture cache
  * edsp: Do not skip lines (fixes Architecture reading)

  [ Américo Monteiro ]
  * Portuguese manpages translation update (Closes: #1111124)

  [ Helge Kreutzmann ]
  * German program translation update (Closes: #1111875)

  [ Tianyu Chen ]
  * Update Simplified Chinese translation

  [ Biswapriyo Nath ]
  * Fix indentation compiler warning with clang

 -- Julian Andres Klode <jak@debian.org>  Tue, 26 Aug 2025 21:02:54 +0200

## apt 3.1.5ubuntu1

=== CMakeLists.txt ===
--- 
+++ 
@@ -204,7 +204,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "3.1.5")
+set(PACKAGE_VERSION "3.1.5ubuntu1")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (3.1.5ubuntu1) questing; urgency=medium

  * Merge from Debian; remaining changes:
    - Implement support for architecture variants

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 26 Aug 2025 21:05:50 +0200

apt (0.8.16~exp12) experimental; urgenc

## apt 3.1.5ubuntu2

=== CMakeLists.txt ===
--- 
+++ 
@@ -204,7 +204,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "3.1.5ubuntu1")
+set(PACKAGE_VERSION "3.1.5ubuntu2")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (3.1.5ubuntu2) questing; urgency=medium

  * ubuntu: 3.0 solver: Allow removing manually installed packages.
    Dealing with the questions raised so far becomes a bit too
    challenging particularly given that we did not have time
    to work on the messaging to explain these errors in nicer
    ways, so disable the safety mechanism for now so users
    end up in the situation less often.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 12 Sep 2025 18:15:04 +0200

## apt 3.1.5.0nosystemd1

=== debian/changelog ===
apt (3.1.5.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Wed, 27 Aug 2025 16:50:17 +0300

## apt 3.1.6

=== debian/changelog ===
apt (3.1.6) unstable; urgency=medium

  [ David Kalnischkies ]
  * Show command in test failure messages if default is overridden
  * Support kernel images with + in uname in kernel autoremove test

  [ Simon Johnsson ]
  * History Command and Parsing

 -- Julian Andres Klode <jak@debian.org>  Fri, 26 Sep 2025 18:38:54 +0200

## apt 3.1.6ubuntu1

=== CMakeLists.txt ===
--- 
+++ 
@@ -204,7 +204,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "3.1.5ubuntu2")
+set(PACKAGE_VERSION "3.1.6ubuntu1")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (3.1.6ubuntu1) questing; urgency=medium

  * Merge from Debian; remaining changes:
    - Implement support for architecture variants
  * Easter egg (LP: #2125788)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 29 Sep 2025 13:07:23 +0200

## apt 3.1.6ubuntu2

=== CMakeLists.txt ===
--- 
+++ 
@@ -204,7 +204,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "3.1.6ubuntu1")
+set(PACKAGE_VERSION "3.1.6ubuntu2")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== test/CMakeLists.txt ===
add_subdirectory(libapt)
add_subdirectory(interactive-helper)

=== debian/changelog ===
apt (3.1.6ubuntu2) questing; urgency=medium

  * test-history: Adjust for as-installed testing.
    When testing as installed, we inadvertently do not replace
    the command-line with dummy in the "apt history-list"
    command.

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 30 Sep 2025 16:02:35 +0200

=== debian/tests/control ===
Tests: pkg-config-test
Restrictions: superficial
Depends: libapt-pkg-dev, pkg-config, g++

Tests: run-tests
Restrictions: allow-stderr
Depends: @, @builddeps@, dpkg (>= 1.20.8), expect, fakeroot, wget, stunnel4, lsof, db-util,
         gpgv,
         gpgv-sq,
         sq (>= 0.40),
         sqv,
         moreutils,
         jq,
         libfile-fcntllock-perl, python3-apt, aptitude,
         valgrind-if-available [!armhf !ppc64el], gdb

## apt 3.1.6.0nosystemd1

=== CMakeLists.txt ===
--- 
+++ 
@@ -204,7 +204,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "3.1.6ubuntu2")
+set(PACKAGE_VERSION "3.1.6")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (3.1.6.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Sat, 27 Sep 2025 18:22:18 +0300

## apt 3.1.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -204,7 +204,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "3.1.6")
+set(PACKAGE_VERSION "3.1.7")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (3.1.7) unstable; urgency=medium

  [ Julian Andres Klode ]
  * test-history: Adjust for as-installed testing

  [ Simon Johnsson ]
  * Add history undo, redo, and rollback features

 -- Julian Andres Klode <jak@debian.org>  Thu, 02 Oct 2025 16:48:11 +0200
